Loading...
Searching...
No Matches
EventRFC Class Reference
Inheritance diagram for EventRFC:
[legend]
Collaboration diagram for EventRFC:
[legend]

## Public Member Functions

void | init ()
Public Member Functions inherited from EventBase
int | save (EST_String filename, EST_String type="")

## Public Attributes

float | rise_amp
float | rise_dur
float | fall_amp
float | fall_dur
float | peak_pos
float | start_amp
float | start_pos
Public Attributes inherited from EventBase
EST_String | type

## Friends

ostream & | operator<< (ostream &s, EventRFC &e)

## Detailed Description

Definition at line 75 of file EST_Event.h.

## Member Function Documentation

## init()

void EventRFC::init | ( |  | ) |

inline

Definition at line 77 of file EST_Event.h.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | EventRFC & | e )

friend

Definition at line 88 of file EST_Event.h.

## Member Data Documentation

## rise_amp

float EventRFC::rise_amp

Definition at line 81 of file EST_Event.h.

## rise_dur

float EventRFC::rise_dur

Definition at line 82 of file EST_Event.h.

## fall_amp

float EventRFC::fall_amp

Definition at line 83 of file EST_Event.h.

## fall_dur

float EventRFC::fall_dur

Definition at line 84 of file EST_Event.h.

## peak_pos

float EventRFC::peak_pos

Definition at line 85 of file EST_Event.h.

## start_amp

float EventRFC::start_amp

Definition at line 86 of file EST_Event.h.

## start_pos

float EventRFC::start_pos

Definition at line 87 of file EST_Event.h.

The documentation for this class was generated from the following file:

- include/EST_Event.h